gcc -o uAB uAB.c A.c 
uAB.c: In function 'main':
uAB.c:5:17: error: 'a' undeclared (first use in this function)
uAB.c:5:17: note: each undeclared identifier is reported only once for each function it appears in

Las variables por default no se pueden usar como externas salvo explícita declaración.
